INTERFACE
 SUBROUTINE AER_REFL_OP( KDLEN , KLEN , KMXCOUNT,&
 & PQF, PTF, PPRESH, PPRESF,&
 & YDGEMSPROF,&
 & PSOLANG, PVIEANG, PDIFFANG,&
 & PAERREFL ) 
USE PARKIND1 ,ONLY : JPIM ,JPRB
USE YOMDIM, ONLY : NFLEVG
USE RT6SVALUES
USE TYPE_GEMS_PROFILES
INTEGER(KIND=JPIM),INTENT(IN) :: KDLEN, KLEN
INTEGER(KIND=JPIM),INTENT(IN) :: KMXCOUNT
REAL(KIND=JPRB) ,INTENT(IN) :: PPRESH(KDLEN,0:NFLEVG)
REAL(KIND=JPRB) ,INTENT(IN) :: PPRESF(KDLEN,NFLEVG)
REAL(KIND=JPRB) ,INTENT(IN) :: PTF(KDLEN,0:NFLEVG)
REAL(KIND=JPRB) ,INTENT(IN) :: PQF(KDLEN,0:NFLEVG)
TYPE (TYPE_GEMSPROF) ,INTENT(IN) :: YDGEMSPROF(KDLEN,NGEMS)
REAL(KIND=JPRB), INTENT(IN) :: PDIFFANG(KDLEN), PSOLANG(KDLEN), PVIEANG(KDLEN)
REAL(KIND=JPRB) ,INTENT(OUT) :: PAERREFL(KDLEN,KMXCOUNT)
INTEGER(KIND=JPIM), PARAMETER :: IWAVLMX=7
END SUBROUTINE AER_REFL_OP
END INTERFACE
